/**
 * <copyright> </copyright>
 * 
 * $Id: INOUTInstanceValidator.java,v 1.1 2008-11-18 10:44:01 cbrunett Exp $
 */
package fr.inria.aoste.syndex.validation;

import fr.inria.aoste.syndex.INOUT;

/**
 * A sample validator interface for {@link fr.inria.aoste.syndex.INOUTInstance}. This doesn't really do anything, and
 * it's not a real EMF artifact. It was generated by the org.eclipse.emf.examples.generator.validator plug-in to
 * illustrate how EMF's code generator can be extended. This can be disabled with -vmargs
 * -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface INOUTInstanceValidator
{
	boolean validate();

	boolean validateOwnerINOUT(INOUT value);
}
